-- load Image for Terminal's, edit 01.11.2017 Der Tester
-- XML example: <terminalImage firstIndex="0>13|12|1" secondIndex="0>13|2|0" thirdIndex="0>13|2|2" />


terminalLoad = {};
function terminalLoad.prerequisitesPresent(specializations) return true; end;

function terminalLoad:load(savegame) self.speedWaitingMaxTimeMonitor = 3000; self.speedWaitingTimerMonitor = 1.5; 
	self.terminalFirst  = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.terminalImage#firstIndex"));
	self.terminalSecond = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.terminalImage#secondIndex"));
	self.terminalThird  = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.terminalImage#thirdIndex")); end;

function terminalLoad:delete() end;

function terminalLoad:mouseEvent(posX, posY, isDown, isUp, button) end;

function terminalLoad:keyEvent(unicode, sym, modifier, isDown) end;

function terminalLoad:update(dt) if self.isMotorStarted then 
	if self.speedWaitingTimerMonitor < self.speedWaitingMaxTimeMonitor 
		then setVisibility(self.terminalFirst, true); setVisibility(self.terminalSecond, false); setVisibility(self.terminalThird, false); end;
	if self.speedWaitingTimerMonitor < (self.speedWaitingMaxTimeMonitor + self.speedWaitingMaxTimeMonitor) and self.speedWaitingTimerMonitor > self.speedWaitingMaxTimeMonitor
		then setVisibility(self.terminalFirst, false); setVisibility(self.terminalSecond, true); setVisibility(self.terminalThird, false); end;
	if self.speedWaitingTimerMonitor < (self.speedWaitingMaxTimeMonitor + self.speedWaitingMaxTimeMonitor + self.speedWaitingMaxTimeMonitor) and self.speedWaitingTimerMonitor > (self.speedWaitingMaxTimeMonitor + self.speedWaitingTimerMonitor) 
		then setVisibility(self.terminalFirst, false); setVisibility(self.terminalSecond, false); setVisibility(self.terminalThird, true); end;
		self.speedWaitingTimerMonitor = self.speedWaitingTimerMonitor + dt;
	else self.speedWaitingTimerMonitor = 1.5; setVisibility(self.terminalFirst, false); setVisibility(self.terminalSecond, false); setVisibility(self.terminalThird, false); end; end;

function terminalLoad:loadFromAttributesAndNodes(savegame, key, resetVehicles) return BaseMission.VEHICLE_LOAD_OK; end;

function terminalLoad:getSaveAttributesAndNodes(nodeIdent) end;

function terminalLoad:updateTick(dt) end;

function terminalLoad:draw() end;

function terminalLoad:onAttach(attacherVehicle, jointDescIndex) end;

function terminalLoad:onDetach() end;

function terminalLoad:onDeactivate() end;